namespace StoryEngine.Core.Modifiers
{
    public class SetModifier : ModifierBase
    {
        public int Value { get; set; }

        public override void Execute(History history)
        {
            history.Variables[VariableName] = Value;
        }

        public override string ToString() => $"{VariableName} = {Value}";
    }
}